Forcing Owncloud to use SMB 2.1


#1

How does one go about forcing Owncloud 9.1.3 to connect to external CIFS shares using SMB 2.1 (or higher)?

(Yes I know it's a bit out of date, we're planning an upgrade next week)

Our organizataion has GPO blocked clients from connecting using SMBv1 (and rightly so) but it seems that Owncloud (though the lib-smbclient php library) is trying to use 1.0 because we get no connection. Manually mounting the same CIFS share through the CLI on the Owncloud server and specifying version 2.1 works fine.

I've tried putting "client min protocol = 2_10" in the smb.conf running on the Owncloud server but so far that hasn't helped.

Any tips would be greatly appreciated!

Thanks for your time


#2

Is this still relevant or have you updated to the newest version of owncloud?